%h2= @actor.name

- if policy(Following).create?
  %p
    - follow = current_user.follows? @actor
    - if @actor.user_id == current_user.id
      %button{ role: :button, disabled: true } That's you
    - elsif follow
      Already following (#{follow.status})
      = button_to 'Revoke', following_path(follow), method: :delete
    - else
      = button_to 'Follow!', follow_followings_path, params: { account: @actor.at_address }, method: :post

%p
  %b Federated url:
  = @actor.federated_url
%p
  %b Username:
  = @actor.username
%p
  %b Inbox URL:
  = @actor.inbox_url
%p
  %b Outbox URL:
  = @actor.outbox_url
%p
  %b Followers URL:
  = @actor.followers_url
%p
  %b Followings URL:
  = @actor.followings_url
%p
  %b Profile url:
  - if @actor.profile_url
    = link_to 'Profile', @actor.profile_url
%p
  %b Federation address:
  = @actor.at_address
%p
  %b Home page:
  - if @actor.local?
    = link_to @actor.user.name, @actor.user
  - elsif @actor.profile_url
    = link_to @actor.name, @actor.profile_url
  - else
    (No homepage)

%hr

%h2 Follows
- if current_user && current_user.id == @actor.user_id
  = render 'followings/form', following: Following.new
- @actor.following_follows.each do |following|
  = render 'followings/follow', following: following

%h2 Followers
- @actor.following_followers.each do |following|
  = render 'followings/follower', following: following

= link_to 'Back', actors_path

-# FIXME: Fetch distant content somehow
%h2 10 last activities
- if @actor.local?
  = link_to 'All', actor_activities_path(@actor)
- elsif @actor.profile_url
  = link_to 'Visit profile', @actor.profile_url
- @actor.activities.last(10).each do |activity|
  = render 'activities/activity', activity: activity
